export declare const useSignedInMember: () => {
    signedInUser: import("../contexts").SignInUser | null;
    memberNumber: string | undefined;
    memberProvider: import("@roomstay/core").EMembershipProvider | undefined;
    isExternalMemberHotel: boolean;
    memberOnlyModalPromotion: import("../models/Promotion/IPromotion.type").IPromotion | null;
};
